import axios from 'axios';
import { Manga } from '../types';
import { getUserAgent } from '../utils/user-agent';

export const getCover = async (manga: Manga): Promise<string> => {
  const coverId = Object.values(manga.relationships).find(
    (relationship) => relationship.type === 'cover_art',
  )?.id;

  if (!coverId) {
    return '';
  }

  const response = await axios.get<{
    data: { attributes: { fileName: string } };
  }>(`https://api.mangadex.org/cover/${coverId}`, {
    headers: {
      'User-Agent': getUserAgent(),
    },
  });

  return `https://mangadex.org/covers/${manga.id}/${response.data.data.attributes.fileName}`;
};
