type MangaId = string;
type ChapterId = string;
type WebhookUrl = string;
type MangaByWebhook = Record<WebhookUrl, MangaId[]>;
type RelationshipType = 'author' | 'artist' | 'cover_art' | 'creator';
type Language = 'en' | 'ja' | 'zh';

export interface Chapter {
  id: ChapterId;
  type: string;
  attributes: {
    volume: string;
    chapter: string;
    title: string;
    translatedLanguage: string;
    externalUrl: unknown;
    publishAt: string;
    readableAt: string;
    createdAt: string;
    updatedAt: string;
    pages: number;
    version: number;
  };
}

export interface Manga {
  id: MangaId;
  type: string;
  attributes: {
    title: Record<Language, string>; // Record<Language, Title>
  };
  relationships: {
    id: string;
    type: RelationshipType;
  }[];
}
