/* eslint-disable camelcase */
import axios from 'axios';
import { Chapter, Manga } from '../types';

export const sendWebhook = async (args: {
  webhookUrl: string;
  manga: Manga;
  latestChapter: Chapter;
  cover: string;
}) => {
  const { webhookUrl, manga, latestChapter, cover } = args;

  await axios.post(webhookUrl, {
    username: 'Manga Updates',
    avatar_url: 'https://assets.pfy.ch/icons/manga.png',
    content: `[New chapter for ${manga.attributes.title.en || 'MISSING ENGLISH TITLE'}](https://mangadex.org/chapter/${latestChapter.id})`,
    embeds: [
      {
        author: {
          icon_url: 'https://assets.pfy.ch/icons/manga.png',
          name: manga.attributes.title.en || 'MISSING ENGLISH TITLE',
        },
        thumbnail: {
          url: cover,
        },
        description: `Chapter ${latestChapter.attributes.chapter}: "${latestChapter.attributes.title}"`,
      },
    ],
  });
};
